Bug 16206 - Corrections to templates related new EDI feature
Summary: Corrections to templates related new EDI feature
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 7736 16237
Blocks: 16080 16208 16262
  Show dependency treegraph
 
Reported: 2016-04-05 16:08 UTC by Owen Leonard
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16206 - Corrections to templates related new EDI feature (22.44 KB, patch)
2016-04-05 18:18 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16206: Corrections to templates related new EDI feature (22.57 KB, patch)
2016-04-06 19:59 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 16206: Corrections to templates related new EDI feature (22.63 KB, patch)
2016-04-14 06:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-04-05 16:08:13 UTC
Bug 7736 introduced some template changes which use Glyphicons. They should be updated to use Font Awesome icons instead.
Comment 1 Owen Leonard 2016-04-05 17:39:41 UTC
I'm changing the title of this bug to reflect the wider scope of the changes I'm preparing.
Comment 2 Owen Leonard 2016-04-05 18:18:03 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2016-04-06 19:59:23 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2016-04-07 05:48:54 UTC
I have an error when trying to add a new EDI account:
Software error:

Can't call method "GetPlugins" on an undefined value at /home/katrin/kohaclone/admin/edi_accounts.pl line 56.
Comment 5 Katrin Fischer 2016-04-14 06:07:16 UTC
Created attachment 50223 [details] [review]
[PASSED QA] Bug 16206: Corrections to templates related new EDI feature

There are some issues with the template changes introduced by the EDI
feature in Bug 7736. This patch makes the following changes:

- Use Font Awesome icon on the Acquisitions basket page instead of a
  Glyphicon.
- Use Font Awesome icon on the Acquisitions basket group page instead of
  a Glyphicon.
- For consistency's sake, use the phrase "Library EANs" instead of "EDI
  EANs" in menus and the Library EANs page.

- On the EDI accounts page:
  - Correct the markup of the title tag.
  - Improve the breadcrumbs to eliminate redundancy.
  - Use Font Awesome icon instead of Glyphicon for the "New account"
    button.
  - Change or remove "maxlength" attribute of form fields to match table
    structure.
  - Move the contents of some title attributes into a visible hint.
  - Use 'checked="checked"' instead of 'checked'. Koha templates use
    XTHML-style attributes.
  - Correct template variable in account deletion confirmation dialog.
    Before this patch the vendor name was not correctly displayed.
  - Show a message if there are no accounts defined rather than an empty
    table.
  - Remove use of "highlight" class from table rows (Bug 15927).
  - Correct parameter name in link to vendor details page (should be
    booksellerid instead of supplierid).
  - Correct the markup of the deletion confirmation dialog (Bug 15785).
  - Use Bootstrap-style buttons for "edit" and "delete," with Font
    Awesome icons.

- On the Library EANs page:
  - Correct the markup of the title tag.
  - Make capitalization of "EAN" consistent.
  - Use Font Awesome icon instead of Glyphicon for the "New EAN" button.
  - Show a message if there are no EANs defined rather than an empty
    table.
  - Change or remove "maxlength" attribute of form fields to match table
    structure.
  - Remove use of "highlight" class from table rows (Bug 15927).
  - Correct the markup of the deletion confirmation dialog (Bug 15785).
  - Use Bootstrap-style buttons for "edit" and "delete," with Font
    Awesome icons.

To test, apply the patch and review the affected templates. Confirm that
pages look correct and work correctly.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
All seems to work and looks well,
add/edit/delete EDI accounts and Library EANs works Ok
No errors

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Brendan Gallagher 2016-04-20 16:50:46 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 7 Julian Maurice 2016-04-21 07:29:16 UTC
Not needed in stable versions, status changed to RESOLVED